# Infrastructure

The infrastructure is define in a uniq YAML file: servers.yml:

## Zones

The idea:

- separate the networks according to the uses
- there is no route to each other

Ideally only one area has an Internet access.
Internet access is, in fact, firewall rules.
This network is usually called "external".

The other networks are only there for the communication between server and client.

The host must have an IP in this network.
IP inside this network are deliver automaticly.

A network is call a "zone".

## Modules

A module is simply a list of application services. An system image is build with informations define in application service.

## Hosts

A host is a server on which container or VM are running.
Define the host means define:

- application services to configure the host and VM
- application service provider to define the provider to apply on each VM
- values to adapt the configuration
- servers, the list of VM with :

  - the corresponding module
  - informations (like zone)
  - values

Host must only be a Debian 11 (Bullseye) from now.
