#!/usr/bin/python3
from ansible.plugins.action import ActionBase


class ActionModule(ActionBase):
    def run(self, tmp=None, task_vars=None):
        super(ActionModule, self).run(tmp, task_vars)
        module_args = self._task.args.copy()
        module_return = self._execute_module(module_name='machinectl',
                                             module_args=module_args,
                                             task_vars=task_vars, tmp=tmp)
        if module_return.get('failed'):
            return module_return
        return {'ansible_facts': {}, 'changed': module_return['changed']}
